:root {
   --font-size-small: .6rem;
   --font-size-normal: .9rem;
   --font-size-header: 3rem;
   --color-white: #FDFDFD;
   --color-black:#000;
   --color-lightblue:#DDE0FD;
   --color-lightgrey:#E5E5E5;
}
* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   -webkit-overflow-scrolling: touch;
   -webkit-text-size-adjust: 100%;
   font-feature-settings:'kern';  
   text-rendering: optimizeLegibilaity; 
   -webkit-font-smoothing: antialiased;
   -moz-osx-font-smoothing: grayscale;
}
html {
   width: 100%;
   -webkit-tap-highlight-color: transparent;
   font-size: 18px;
   /* background-color: var(--color-white); */
}
body {
    font-family: "KristallLL";
   background-color: var(--color-white);
   height: 100%;
   color: var(--color-black);
   font-size:var(--font-size-normal);
   display: flex;
   letter-spacing: 0;
   overflow-x: hidden;
   line-height: 1.2;
   flex-direction: column;
   min-height: 100vh;
   transition: .3s background-color ease-out;
}
header {font-size: var(--font-size-header);font-weight: bold;padding: 1.25rem 1.25rem 0 0;text-transform: uppercase;right: 8rem;position: fixed;display: flex;width: calc(50% - 3rem);align-items: center;z-index: 2;}
a{
    color:inherit;
    text-decoration:none;
}
h1 {
    font-size: 0;
    position: absolute;
}
.projectTile {height: 8rem;display: inline-flex;max-width: 8rem;margin: 0 1rem 1rem 0;position: relative;}

.projectTile .image img, .projectTile .image video {
    height: 100%;
    width: auto;
    display: block;
    max-width: 100%;
    object-fit: contain;

}
body:after {
    background-image: url(../img/home.png);
    content: '';
    position: fixed;
    width: 100%;
    height: 100%;
    background-size: 100% auto;
    pointer-events: none;
    opacity: 0.5;
    display: none;
}
.image img {
    width: 100%;
    display: block;
}
#navigation nav ul {
}
.projectTile .image {display: block;}

.projectTiles {
    padding: 0 8rem;
    /* display: flex; */
    /* flex-wrap: wrap; */
    justify-content: center;
}
.projectTile picture.hover-image {
    position: absolute;
    top: 0;
    width: 100%;
    opacity: 0;
    height: 100%;
}

.projectTile:hover picture.hover-image {
    opacity: 1;
    background-color: var(--color-white);
}
span.versal {
    text-transform: uppercase;
}
.projectTile picture {
    transition: .3s opacity ease-out;
}

.projectTile:hover picture.default-image:not(:last-child) {
    opacity: 0 !important;

}
main {
    margin-top: 8rem;
    padding-bottom: 5rem;
}
html.is-changing .transition-fade {
  transition: opacity 0.25s;
  opacity: 1;
}
html.is-animating .transition-fade {
  opacity: 0;
}

#logo {
    flex-shrink: 0;
    letter-spacing: -0.1em;
}
body.lightgrey {
    background-color: var(--color-lightgrey);
}
body.lightblue {
    background-color: var(--color-lightblue);
}
nav {
    flex: 1;
    display: flex;
    align-items: center;
}
#navigation ul li {
    align-items: center;
    display: flex;
}
#navigation nav ul {
    display: flex;
    align-items: center;
    width: 100%;
    list-style: none;
    margin: 0;
    padding: 0;
    line-height: 1;
}
.exhibitionblock .milestone .image {
    position: absolute;
    left: -9rem;
    grid-row: auto;
    top: 0;
    display: none;
}


p.small {font-size: var(--font-size-small);}

figcaption p:not(:last-child) {
    margin-bottom: .25em;
}
.text a {
    text-decoration: underline;
    text-decoration-thickness: 1px;
    text-underline-offset: .2em;
}
.text.contact h2:not(:first-of-type) {
    margin-top: 2em;
}
#navigation nav ul::before {
    content: '';
    flex: 1;
    height: 1px;
    margin-top: -3px;
    background: var(--color-black);
}
.artworkpage main figure.image:first-of-type:last-of-type figcaption .letterBox {
    display: none;
}
#navigation nav ul li:not(:first-of-type)::before{
    content: '';
    display: inline-flex;
    width: 6rem;
    height: 1px;
    background: var(--color-black);
}
nav.skiplinks {
    left: 1.2rem;
    top: 3rem;
    padding: 0;
    z-index: 10;
    position: fixed;
}
nav.skiplinks ul {
    position: absolute !important;
    left: 0;
    top: 0;
    padding: 0;
    display: block;
    margin: 0;
    list-style: none;
}
.subpage .projectTiles {
    width: 40%;
    margin: 4rem auto 0;
    padding: 0;
    display: block;
    order: 3;
}
.skiplink {
    border: 0;
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    font-size: 1rem;
    display: inline-block;
    white-space: nowrap;
}
.skiplink:focus {
    display: block;
    border-radius: 0;
    z-index: 100;
    width: auto;
    height: auto;
}
.subpage.lightgrey main article, .subpage.lightblue main article {
    width: calc(50% - 4.5rem);
    margin-left: calc(50% - 5rem);
    position: relative;
    margin-bottom: 2em;
}
h2, .multiblock h3 {
    font-weight: bold;
    text-transform: uppercase;
    font-size: inherit;
}
.text h3 a {
    text-decoration: none;
}

.lightgrey article.multiblock:not(.exhibitionblock) {
    display: grid;
    grid-template-columns: repeat(4,1fr);
}
body.lightgrey .milestone {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-column-gap: 1rem;
    margin-bottom: 2em;
    grid-template-rows: max-content 1fr;
}
body.lightgrey .milestone {
    margin-left: 0;
}
.text p:not(:last-child) {
    margin-bottom: .5em;
}
body.lightgrey .milestone h3,body.lightgrey .milestone .text {
    grid-column: 1;
    position: static;
    width: auto;
    text-align: unset;
    grid-column: 2 span;
}
body.lightgrey .milestone h3{
    text-transform:uppercase;
}
.multiblock h2 {
    grid-column: 1;
    margin-bottom: 1em;
}
article.multiblock.exhibitionblock .milestone {
    margin-bottom: 0;
}

.exhibitionblock .milestones:not(:last-child) {
    margin-bottom: 1em;
}
.milestones {
    grid-column: 2/5;
}
.milestone strong {
    font-weight: normal;
    text-transform: uppercase;
}
.milestone .image {
    display: block;
    grid-row: 2 span;
    max-width: 8rem;
    margin-bottom: 1rem;
}
.text.contact {
    position: fixed;
    margin-left: 8rem;
}
.multiblock h3 {font-size: inherit;position: static;right: calc(100% + 2rem);margin-bottom: 0;}

.milestone {
    margin-bottom: .5em;
}
figure.image {
display:contents;
}
figcaption, body:not(.lightblue):not(.lightgrey) .textbox {
    order: 2;
    text-align: center;
    width: 60%;
    margin: 0 auto 1em;
    font-weight: bold;
}
body:not(.lightblue):not(.lightgrey) .textbox{
    margin-top:4rem;
}
main {
    counter-reset: figure-counter;
    display: flex;
    flex-direction: column;
}
main:has(figcaption + figcaption) figcaption::before {
    counter-increment: figure-counter;
    margin-bottom:1em;
    display:block;
    content: counter(figure-counter, upper-alpha);
}
.artworkpage main {
    display:flex;
    padding-bottom: 5rem;
    flex-direction:column;
}


main > .image picture {
    width: 60%;
    margin: auto;
    margin-bottom: 3rem;display: block;}

@media (min-width: 1900px) {
  html {
      font-size: 24px;
  }  
}
@media (min-width: 1025px) {
}
@media (orientation: portrait) and (min-width: 501px) and (max-width: 1025px) {
  html {
      font-size: 3vw;
  }  
}

@media (orientation: landscape) and (min-width: 501px) and (max-width: 1025px) {
  html {
      font-size: 20px;
  }
}


@media (min-width: 200px) and (max-width: 500px) {
  html {
      font-size: 4.25vw;
  }  
  
}
@media (max-width: 1025px){
:root {
  --font-size-small: .65rem;
  --font-size-normal: 1rem;
  --font-size-header: 1.5rem;
}
    header {
    width: 100%;
    right: unset;
    padding: 1rem;
}
.homepage .projectTiles, .subpage .projectTiles {
    padding: 0 1rem;
}

main {
    margin-top: 5rem;
    display: flex;
    flex-direction: column;
}

.projectTile {
    margin: 0 .5rem .5rem 0;
}
    .multiblock h3 {
    position: static;
    width: unset;
    text-align: left;
}
.subpage .projectTiles {
    margin-top: 4rem;
    width: 100%;
}
    .milestones {
    grid-column: 1;
}

article.multiblock {
    width: 100% !important;
    margin-left: unset !important;
}

.milestone .image {
    order: -1;
}
.textbox h2 {
    margin-bottom: 1em;
}
article.multiblock h2 {
    border-top: 1px solid;
    padding-top: .5rem;
    margin-bottom: 2em;
}
.milestone {
    margin-bottom: 1em;
}
    .milestone:last-child{
        margin-bottom:0;
    }
    #navigation nav ul::before {
    margin-top: 0;
}
   .text.contact + .textbox h2 {
    border-top: 1px solid;
    padding-top: .5rem;
} 
.subpage.lightgrey main article, .subpage.lightblue main article, body.lightgrey article.multiblock:not(.exhibitionblock) {
    width: 100%;
    margin-left: unset;
    padding: 0 2rem;
    grid-template-columns: repeat(1,1fr);
}
.text.contact {
    position: static;
    padding: 0 2rem;
    margin-left: 0;
    margin-bottom: 2em;
}
body.lightgrey .milestone{
    display: flex;
    margin-left: 0;
    flex-direction: column;
}
.image img {
    height: 100%;
}
main > .image picture {
    width: calc(100% - 2rem);
    margin: 0 1rem 1rem;
}

.artworkpage main {
    margin-top: 5rem;
}
}
@media (hover: hover) {
.text a:hover {
    text-decoration: none;
}
    .exhibitionblock .milestone:hover .image {
    display: block;
}
body.lightgrey .milestone {
        position: relative;
    }

    /* Das originale HTML-Bild bleibt stabil im Layout, 
       wird aber leicht transparent, um den Fokus auf das groÃŸe Bild zu lenken */
    .milestone .image:hover picture {
        opacity: 0.15;
        transition: opacity 0.2s ease;
    }
    .milestone .image picture {
        transition: opacity 0.2s ease;
    }
    .milestone .image::after {
        content: '';
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-image: var(--bg-img);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
        width: 60%;
        height: 75vh;
        padding: 0.5rem;
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.2s ease-in-out, visibility 0.2s;
        pointer-events: none;
        z-index: 9999;
    }
    .milestone .image:hover::after {
        opacity: 1;
        visibility: visible;
    }
}
::selection {
   color: var(--color-white);
   background-color: var(--color-black);
}
::-moz-selection {
   color: var(--color-white);
   background-color: var(--color-black);
}
/*
 * Legal Disclaimer for Web licence
 *
 * Licence to use self-hosted webfonts for displaying dynamic text on specified website domains. Our package includes WOFF and WOFF2 font formats.
 *
 * Should the license page views limit be exceeded the license holder will be required to contact Lineto.com for an upgrade.
 * * It is strictly prohibited to rename the font and to download or use these fonts in any other media. 
 * * These Web fonts are licensed exclusively for the use on the following domain(s) and their subdomains:
 *
 * annakrammig.com (monthly pageviews: <50K)
 *
 */

/* complete */

@font-face {
  font-family: "KristallLL";
  src: url("fonts/KristallLLWeb-Medium.woff2") format("woff2"),
       url("fonts/KristallLLWeb-Medium.woff") format("woff");
       font-weight:bold;
}

@font-face {
  font-family: "KristallLL";
  src: url("fonts/KristallLLWeb-Regular.woff2") format("woff2"),
       url("fonts/KristallLLWeb-Regular.woff") format("woff");
              font-weight:normal;
}